
Core - Task # 57942

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Story # 57862 (Resolved): Add possibility to make all TCA additions cached

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-04-15 Assigned To:
Updated: 2014-04-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Provide API to add cached TCA changes
Description

This change adds the feature that php files in the
extension directory Configuration/TCA/Overrides/
will be executed right before building the cached
TCA. These files must only contain PHP code
that manipulate TCA (like addTCAColumns or
addToAllTCATypes).

The benefit in doing so is that we can move all code
manipulating the TCA that previously was in ext_tables.php
and therefore uncachable, can now be in a defined
location and is only executed when TCA is built
and after that cached.

This will give backend requests quite a performance
boost once extensions start using these files.

Related issues:
related to TCA Reference - Feature # 57951: API to add cached TCA changes Closed 2014-04-15
related to Core - Bug # 58004: Categories not visible Resolved 2014-04-17

Associated revisions
Revision f2180402 - 2014-04-15 18:30 - Helmut Hummel

[FEATURE] Provide API to add cached TCA changes

This change adds the feature that php files in the
extension directory Configuration/TCA/Overrides/
will be executed right before building the cached
TCA. These files must only contain PHP code
that manipulate TCA (like addTCAColumns or
addToAllTCATypes).

The benefit in doing so is that we can move all code
manipulating the TCA that previously was in ext_tables.php
and therefore uncachable, can now be in a defined
location and is only executed when TCA is built
and after that cached.

This will give backend requests quite a performance
boost once extensions start using these files.

Category Registry changes will also be applied
after Configuration/TCA/Overrides/ has been processed
so that makeCategorizable calls can now also happen
in files in this locations and do not need to stay
in ext_localconf.php where they also would be executed
on every request.

For now only filemetadata extension TCA configuration
is moved. All other core extensions will follow later.

Resolves: #57942
Documentation: #57951
Releases: 6.2
Change-Id: Id7fdebac266bc0b4e85a45b64d73e4f4f3c59a36
Reviewed-on: https://review.typo3.org/29484
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-04-15 13:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29484

#2 - 2014-04-15 15:45 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29484

#3 - 2014-04-15 15:51 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29484

#4 - 2014-04-15 15:56 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29484

2015-08-04 2/3

https://review.typo3.org/29484
https://review.typo3.org/29484
https://review.typo3.org/29484
https://review.typo3.org/29484
https://review.typo3.org/29484


#5 - 2014-04-15 16:10 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29484

#6 - 2014-04-15 19:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f2180402888a08871d37c9a785c4d82ab6c993b0.
